Bug 1122957 - We should be checking in the model layer that models like products can't switch orgs
Summary: We should be checking in the model layer that models like products can't swit...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API - Content
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 13:18 UTC by Partha Aji
Modified: 2016-12-19 22:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-19 22:02:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6767 None None None 2016-04-22 15:14:44 UTC

Description Partha Aji 2014-07-24 13:18:26 UTC
It looks like there no validation to prevent users from switching orgs on models like products in the model layer. It looks like this is done in the controller instead.

Comment 1 Partha Aji 2014-07-24 13:18:27 UTC
Created from redmine issue http://projects.theforeman.org/issues/6767

Comment 2 RHEL Product and Program Management 2014-07-24 13:43:50 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Bryan Kearney 2015-08-25 17:59:26 UTC
Upstream bug component is API

Comment 5 Bryan Kearney 2016-07-08 20:42:43 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 7 Bryan Kearney 2016-08-10 19:01:26 UTC
Upstream bug component is API - Content

Comment 8 Bryan Kearney 2016-08-10 20:02:35 UTC
Upstream bug component is API

Comment 9 Bryan Kearney 2016-08-10 22:02:26 UTC
Upstream bug component is API - Content


Note You need to log in before you can comment on or make changes to this bug.